<?xml version="1.0" encoding="UTF-8"?>
<topic template="Default" lasteditedby="bob.macleod" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../helpproject.xsd">
  <title translate="true" tnt-trx-ref-value="Successive Lookups" tnt-trx-translated="true">Búsquedas sucesivas</title>
  <keywords>
    <keyword translate="true" tnt-trx-ref-value="lookups" tnt-trx-translated="true">búsquedas<keyword translate="true" tnt-trx-ref-value="successive" tnt-trx-translated="true">sucesivo</keyword></keyword>
  </keywords>
  <body>
    <header>
      <para styleclass="Heading1">
        <text styleclass="Heading1" translate="true" tnt-trx-ref-value="Successive Lookups" tnt-trx-translated="true">Búsquedas sucesivas</text>
      </para>
    </header>
    <para styleclass="Heading2">
      <text styleclass="Heading2" translate="true" tnt-trx-ref-value="Successive Lookups" tnt-trx-translated="true">Búsquedas sucesivas</text>
    </para>
    <para styleclass="Normal">
      <text styleclass="Normal" translate="true">Multiple lookups can be run in succession to narrow down the results. For example, successive lookups could be written to find just donors, then among those donors who live in a certain city.</text>
    </para>
    <para styleclass="HowTo">
      <text styleclass="HowTo" translate="true">Tutorial: Writing a Successive Lookup</text>
    </para>
    <para styleclass="Normal">
      <text styleclass="Normal" translate="true">In this example, we want to find all donors who have given at least 100 in the last year and live in a certain city.</text>
    </para>
    <list id="1" type="ol" listtype="decimal" formatstring="%0:s." format-charset="DEFAULT_CHARSET" levelreset="true" legalstyle="false" startfrom="1" styleclass="Normal" style="font-family:Arial; font-size:11pt; font-weight:bold; color:#800080;">
      <li styleclass="Normal">
        <text styleclass="Normal" translate="true">Lookup all donors in the city.</text>
        <text styleclass="T_Number" translate="true"> </text>
      </li>
    </list>
    <para styleclass="Menu Path">
      <text styleclass="Menu Path" translate="true" tnt-trx-ref-value="Menu Path: Lookup | By Field" tnt-trx-translated="true">Ruta de menú: Búsqueda | Por campo</text>
    </para>
    <para styleclass="Indent3">
      <image src="Lookups_Successive1.bmp" scale="78.80%" width="515" height="290" styleclass="Image Caption">
      </image>
    </para>
    <para styleclass="Indent3">
      <table styleclass="Default" rowcount="4" colcount="2">
        <tr style="vertical-align:top">
          <td style="width:112px;">
            <para styleclass="Table BoldRight">
              <text styleclass="Table BoldRight" translate="true">Relationship</text>
            </para>
          </td>
          <td style="width:437px;">
            <para styleclass="Table RegLeft">
              <text styleclass="Table RegLeft" translate="true">Replace the current group</text>
            </para>
          </td>
        </tr>
        <tr style="vertical-align:top">
          <td style="width:112px;">
            <para styleclass="Table BoldRight">
              <text styleclass="Table BoldRight" translate="true">Field</text>
            </para>
          </td>
          <td style="width:437px;">
            <para styleclass="Table RegLeft">
              <text styleclass="Table RegLeft" translate="true">Mailing City</text>
            </para>
          </td>
        </tr>
        <tr style="vertical-align:top">
          <td style="width:112px;">
            <para styleclass="Table BoldRight">
              <text styleclass="Table BoldRight" translate="true">Comparison</text>
            </para>
          </td>
          <td style="width:437px;">
            <para styleclass="Table RegLeft">
              <text styleclass="Table RegLeft" translate="true">begins with</text>
            </para>
            <para styleclass="Indent3">
              <text styleclass="Indent3" translate="true">or</text>
            </para>
            <para styleclass="Table RegLeft">
              <text styleclass="Table RegLeft" translate="true">equal to</text>
            </para>
          </td>
        </tr>
        <tr style="vertical-align:top">
          <td style="width:112px;">
            <para styleclass="Table BoldRight">
              <text styleclass="Table BoldRight" translate="true">Value</text>
            </para>
          </td>
          <td style="width:437px;">
            <para styleclass="Table RegLeft">
              <text styleclass="Table RegLeft" translate="true">enter the name of the city</text>
            </para>
          </td>
        </tr>
      </table>
    </para>
    <para styleclass="Indent3">
      <text styleclass="Normal" translate="true" tnt-trx-ref-value="Press the &lt;OK&gt; button." tnt-trx-translated="true">Haz clic en el &lt;Aceptar&gt; botón.</text>
    </para>
    <para styleclass="Indent3">
      <text styleclass="Normal" translate="true">The &lt;Current Group&gt; is now all contacts whose mailing address is in that city.</text>
    </para>
    <para styleclass="Indent4">
      <image src="Lookups_Successive2.bmp" scale="100.00%" styleclass="Image Caption">
      </image>
    </para>
    <list id="1" type="ol" listtype="decimal" formatstring="%0:s." format-charset="DEFAULT_CHARSET" levelreset="true" legalstyle="false" startfrom="1" styleclass="Normal" style="font-family:Arial; font-size:11pt; font-weight:bold; color:#800080;">
      <li styleclass="Normal">
        <text styleclass="Normal" translate="true">Find within that group those donors who have given 100 or more.</text>
      </li>
    </list>
    <para styleclass="Menu Path">
      <text styleclass="Menu Path" translate="true" tnt-trx-ref-value="Menu Path: Lookup | By Giving" tnt-trx-translated="true">Ruta de menú: Búsqueda | Por donativos</text>
    </para>
    <para styleclass="Indent3">
      <image src="Lookups_Successive3.bmp" scale="77.45%" width="25" height="25" styleclass="Image Caption">
      </image>
    </para>
    <para styleclass="Indent3">
      <table styleclass="Default" rowcount="5" colcount="2">
        <tr style="vertical-align:top">
          <td style="width:112px;">
            <para styleclass="Table BoldRight">
              <text styleclass="Table BoldRight" translate="true">Relationship</text>
            </para>
          </td>
          <td style="width:437px;">
            <para styleclass="Table RegLeft">
              <text styleclass="Table RegLeft" translate="true">Lookup within the current group</text>
            </para>
          </td>
        </tr>
        <tr style="vertical-align:top">
          <td style="width:112px;">
            <para styleclass="Table BoldRight">
              <text styleclass="Table BoldRight" translate="true">From</text>
            </para>
          </td>
          <td style="width:437px;">
            <para styleclass="Table RegLeft">
              <text styleclass="Table RegLeft" translate="true">Enter the start date (such as January 1)</text>
            </para>
          </td>
        </tr>
        <tr style="vertical-align:top">
          <td style="width:112px;">
            <para styleclass="Table BoldRight">
              <text styleclass="Table BoldRight" translate="true">To</text>
            </para>
          </td>
          <td style="width:437px;">
            <para styleclass="Table RegLeft">
              <text styleclass="Table RegLeft" translate="true">Enter the end date (such as December 31)</text>
            </para>
          </td>
        </tr>
        <tr style="vertical-align:top">
          <td style="width:112px;">
            <para styleclass="Table BoldRight">
              <text styleclass="Table BoldRight" translate="true">From Amount</text>
            </para>
          </td>
          <td style="width:437px;">
            <para styleclass="Table RegLeft">
              <text styleclass="Table RegLeft" translate="true">100</text>
            </para>
          </td>
        </tr>
        <tr style="vertical-align:top">
          <td style="width:112px;">
            <para styleclass="Table BoldRight">
              <text styleclass="Table BoldRight" translate="true">To Amount</text>
            </para>
          </td>
          <td style="width:437px;">
            <para styleclass="Table RegLeft">
              <text styleclass="Table RegLeft" translate="true">Leave blank. This tells the software to find any amount above 100.</text>
            </para>
          </td>
        </tr>
      </table>
    </para>
    <para styleclass="Normal Head">
      <text styleclass="Normal Head" translate="true">Result</text>
    </para>
    <para styleclass="Normal">
      <text styleclass="Normal" translate="true">The Current Lookup shows two filters and the resulting Current Group. </text>
    </para>
    <para styleclass="Indent3">
      <image src="Lookups_Successive4.bmp" scale="100.00%" styleclass="Image Caption">
      </image>
    </para>
    <para styleclass="Normal">
    </para>
  </body>
</topic>